Subject: RE: rebase and ME
From: Nicholas Wourms <[email-masked]>
To: Ralf Habacker <[email-masked]>, Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: Sat, 10 Aug 2002 05:03:16 -0700 (PDT)

--- Ralf Habacker <[email-masked]> wrote:
> > Ralf,
> > 
> > I'm unable to compile this.  You forgot to include version.cc. 
> I'll
> > try it as soon as you can get this to me.
> > 
> version.c should be created by the make file. I have tried. 
> 
> $ make
> g++ -g    -c -o main.o main.cc
> g++ -g    -c -o objectfile.o objectfile.cc
> g++ -g    -c -o sections.o sections.cc
> echo "float release = 0.4; " >version.c
> gcc    -c -o version.o version.c
> g++ -g    -c -o rebase.o rebase.cc
> g++ -g -o rebase main.o objectfile.o sections.o version.o rebase.o
> 
> What does your make say ? 
> 
Ok, it compiled.  It *seems* to actually work!  Wow!!!!  Here's the
results:

Before:
$ ./rebase.exe -l cygbz2*
cygbz2-1.dll: ImageBase: 0x67dd0000 ImageSize: 0x13000
cygbz21.0.dll: ImageBase: 0x67db0000 ImageSize: 0x12000

After:
cygbz2-1.dll: ImageBase: 0x67fed000 ImageSize: 0x13000
cygbz21.0.dll: ImageBase: 0x67fdb000 ImageSize: 0x12000

I tested by running bzip2 on a file, and it looks like there wasn't
any issues.

I'll give apache a try in a little while...

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
HotJobs - Search Thousands of New Jobs
http://www.hotjobs.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/